aboutsummaryrefslogtreecommitdiffstats
path: root/mail/postgrey/pkg-req
diff options
context:
space:
mode:
Diffstat (limited to 'mail/postgrey/pkg-req')
-rw-r--r--mail/postgrey/pkg-req15
1 files changed, 15 insertions, 0 deletions
diff --git a/mail/postgrey/pkg-req b/mail/postgrey/pkg-req
new file mode 100644
index 000000000000..085629b82510
--- /dev/null
+++ b/mail/postgrey/pkg-req
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+PATH=$PATH:/usr/local/bin
+
+if [ "x$1" = "xINSTALL" -o "x$2" = "xINSTALL" ]; then
+ perl -e "use BerkeleyDB;BerkeleyDB::Env->new(-Home => 'test',-Flags => DB_CREATE|DB_RECOVER|DB_INIT_TXN|DB_INIT_MPOOL|DB_INIT_LOG,-SetFlags => DB_AUTO_COMMIT|DB_TXN_NOSYNC);"
+ if [ $? != 0 ]; then
+ echo "-----------------------------------------------------------"
+ echo "Postgrey requires databases/p5-BerkeleyDB to be built with"
+ echo "Berkeley DB 4.1 or newer. Please reinstall it with the"
+ echo "WITH_BDB_VER set to 41 or newer."
+ echo "-----------------------------------------------------------"
+ exit 1
+ fi
+fi